BigDecimalCloseTo (JavaHamcrest 2.0.0.0 API)
Date: 2015-01-18

org.hamcrest.number

## Class BigDecimalCloseTo

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.TypeSafeMatcher<java.math.BigDecimal>
    - - org.hamcrest.number.BigDecimalCloseTo

- All Implemented Interfaces:
    Matcher<java.math.BigDecimal>, SelfDescribing

      public class BigDecimalCloseTo
      extends TypeSafeMatcher<java.math.BigDecimal>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigDecimalCloseTo(java.math.BigDecimal value, java.math.BigDecimal error)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Matcher<java.math.BigDecimal>` | `closeTo(java.math.BigDecimal operand, java.math.BigDecimal error)` Creates a matcher of `BigDecimal`s that matches when an examined BigDecimal is equal to the specified `operand`, within a range of +/- `error`.
    `void` | `describeMismatchSafely(java.math.BigDecimal item, Description mismatchDescription)` Subclasses should override this.
    `void` | `describeTo(Description description)` Generates a description of the object.
    `boolean` | `matchesSafely(java.math.BigDecimal item)` Subclasses should implement this.

    - ### Methods inherited from class org.hamcrest.TypeSafeMatcher

      `describeMismatch, matches`

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BigDecimalCloseTo

          public BigDecimalCloseTo(java.math.BigDecimal value,
                                   java.math.BigDecimal error)

  - ### Method Detail

    - #### matchesSafely

          public boolean matchesSafely(java.math.BigDecimal item)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should implement this. The item will already have been checked for the specific type and will never be null.
      Specified by:
        `matchesSafely` in class `TypeSafeMatcher<java.math.BigDecimal>`

    - #### describeMismatchSafely

          public void describeMismatchSafely(java.math.BigDecimal item,
                                             Description mismatchDescription)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should override this. The item will already have been checked for the specific type and will never be null.
      Overrides:
        `describeMismatchSafely` in class `TypeSafeMatcher<java.math.BigDecimal>`

    - #### describeTo

          public void describeTo(Description description)

      Description copied from interface: `SelfDescribing`
      Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `description` - The description to be built or appended to.

    - #### closeTo

          public static Matcher<java.math.BigDecimal> closeTo(java.math.BigDecimal operand,
                                                              java.math.BigDecimal error)

      Creates a matcher of `BigDecimal`s that matches when an examined BigDecimal is equal to the specified `operand`, within a range of +/- `error`. The comparison for equality is done by BigDecimals `BigDecimal.compareTo(java.math.BigDecimal)` method. For example:

          assertThat(new BigDecimal("1.03"), is(closeTo(new BigDecimal("1.0"), new BigDecimal("0.03"))))

      Parameters:
        `operand` - the expected value of matching BigDecimals
        `error` - the delta (+/-) within which matches will be allowed